Examplary
  • Start for free
    Developer docs

    Update a question

    PATCHhttps://api.examplary.ai/exams/{id}/questions/{questionId}

    Update fields on a single question, such as its scoring configuration. Use scoring.excludeFromGrading to exclude a question from grading so it no longer counts towards the total points or grade of a session.

    Path parameters

    idstringrequired
    questionIdstringrequired

    Request body

    scoringobject

    Scoring configuration to merge into the question's existing scoring.

    printingobject

    Printing configuration to merge into the question's existing printing.

    Responses

    400 — Validation Error

    successbooleanrequired

    Allowed values:false

    errorarray any[]required
    dataanyrequired

    429 — Rate limit exceeded

    Requirements

    Rate limit

    60 requests per minute per user.

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the exams:write scope to be present.